/*
  copyright(c) 2003 - 2004  Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.util.* ;
import java.awt.dnd.* ;
import java.util.prefs.Preferences ;

public class mkErrDialog extends JDialog implements Serializable ,
						 ActionListener
{
    mkApplet _app ;

    JTextArea _txarea ;

    public mkErrDialog(mkApplet app, Frame frame, String title)
    {
	super(frame, title) ;

	_app = app ;

	getContentPane().setLayout(null) ;
        setSize(new Dimension(600, 510)) ;

	_txarea = new JTextArea() ;
	_txarea.setEditable(false) ;

	JScrollPane spane = new JScrollPane(_txarea) ;

	spane.setBounds(5,5, 580,400) ;	
        spane.setVerticalScrollBarPolicy(
			  JScrollPane.VERTICAL_SCROLLBAR_ALWAYS) ;
        spane.setPreferredSize(new Dimension(400, 270));
        spane.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                                BorderFactory.createTitledBorder("e"),
                                BorderFactory.createEmptyBorder(5,5,5,5)),
                spane.getBorder()));	

	JButton	btn = new JButton("OK") ;
	btn.setBounds(290, 415, 75, 35) ;
	btn.addActionListener(this) ;
	getContentPane().add(spane) ;
	getContentPane().add(btn) ;

	setModal(true) ;
    }

    public void show(Exception ex)
    {

	PrintStream ps = null ;

	try {
	    ByteArrayOutputStream bout = new ByteArrayOutputStream() ;
	    ps = new PrintStream(bout) ;
	    ex.printStackTrace(ps) ;
	    String errstr = bout.toString("MS932") ;
	    _txarea.setText(errstr) ;
	} catch(Exception ex2){
	    ex2.printStackTrace() ;
	} finally {
	    ps.close() ;
	}

	super.show() ;
    }
	
    public void actionPerformed(ActionEvent e)
    {
	hide() ;
    }
}


