/*
  copyright(c) 2003 - 2004 Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import javax.swing.text.* ;
import java.util.prefs.Preferences ;
import java.io.* ;

public class mkPopupAction implements ActionListener
{
    JTextComponent  _app ;

    public static String ms1 = "؂" ;
    public static String ms2 = "Rs[" ;
    public static String ms3 = "\t" ;

    public mkPopupAction(JTextComponent arg)
    {
	_app = arg ;

	JPopupMenu menu = new JPopupMenu();

	JMenuItem mi  = null ;
	mi = new JMenuItem(ms1) ;
	mi.addActionListener(this) ;
        menu.add(mi) ;

	mi = new JMenuItem(ms2) ;
	mi.addActionListener(this) ;
        menu.add(mi) ;

	mi = new JMenuItem(ms3) ;
	mi.addActionListener(this) ;
        menu.add(mi) ;

        _app.setComponentPopupMenu(menu) ;	
    }

    public void actionPerformed(ActionEvent e)
    {
	String str = e.getActionCommand() ;

	if(str == ms1){
	    _app.cut() ;
	} else if(str == ms2){
	    _app.copy() ;
	} else if(str == ms3){
	    _app.paste() ;
	} else {
	    System.err.println("Unknown Command") ;
	}
    }
}

