<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=Shift_JIS" />
<link href="cs02.css" rel="stylesheet" type="text/css" />
<title><xsl:value-of select="review/title" /></title>
</head>
<body>
<xsl:apply-templates select="review" />
<hr />
<div class="footer">
m <span class="frontmark">N</span>
<a href="p9999.html">ꗗ</a> n
m <span class="frontmark">N</span>
<a href="../index.html">gbvy[W</a> n
</div>
</body>
</html>

</xsl:template>

<xsl:template match="review">
<div class="box1">
<xsl:apply-templates select="title | author | 
			photo | paragraph | date | affiliate" />
</div>
<div class="box2">
<h2 class="t">֘AN</h2>
<xsl:apply-templates select="relation" />
</div>
<div><br /></div>
</xsl:template>


<xsl:template match="title">
<a>
	<xsl:attribute name="href">
	<xsl:value-of  select="/review/affiliate" /> 
	</xsl:attribute>
	<h1><xsl:value-of select="." /></h1>
</a>
</xsl:template>

<xsl:template match="paragraph">
<p><xsl:value-of select="." /></p>
</xsl:template>

<xsl:template match="date">
<div class="lastdate">XVF <xsl:value-of select="." /></div>
</xsl:template>


<xsl:template match="affiliate">
<p>
<span class="frontmark">N</span>
<a>
<xsl:attribute name="href">
<xsl:value-of select="." />
</xsl:attribute>
Amazon
</a>
</p>
</xsl:template>

<xsl:template match="author">
<h2><xsl:value-of select="." /></h2>
</xsl:template>

<xsl:template match="photo">
<a>
	<xsl:attribute name="href">
	<xsl:value-of  select="/review/affiliate" /> 
	</xsl:attribute>
<img>
	<xsl:attribute name="src">
	<xsl:value-of select="@src" />
	</xsl:attribute>
	<xsl:attribute name="class">photo</xsl:attribute>
</img>
</a>
</xsl:template>

<xsl:template match="relation">
	<a>
	<xsl:attribute name="href">
	<xsl:value-of  select="@url" /> 
	</xsl:attribute>
	<xsl:value-of  select="." /> <br />
	</a>
</xsl:template>

</xsl:stylesheet>
