/*
  copyright(c) 2003 - 2004 Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.util.* ;
import java.awt.dnd.* ;
import java.util.prefs.Preferences ;

public class mkDialog extends JDialog implements Serializable ,
						 ActionListener
{
    mkApplet _app ;

    private JTextField _sname ;
    private JTextField _isname ;
    private JTextField _fpname ;
    private JTextField _fname ;
    private JTextField _dname ;
    private JTextField _hurl ;
    private JTextField _htitle ;
    private JTextField _iurl ;
    private JTextField _idx ;
    private JTextField _rname ;


    public mkDialog(mkApplet app, Frame frame, String title)
    {
	super(frame, title) ;

	_app = app ;

	getContentPane().setLayout(null) ;
        setSize(new Dimension(600, 455)) ;

	JLabel lb = null ;
	JPanel panel = new JPanel(null) ;
	panel.setBounds(0, 10, 600, 455) ;

	lb = new JLabel("X^CV[g") ;
	lb.setBounds(5, 5, 120,30) ;
	panel.add(lb) ;

	_sname = new JTextField() ;
	_sname.setBounds(135,5, 375,30) ;	
	Preferences pref = _app.getPreferences() ;
	panel.add(_sname) ;

	Class c = _app.getClass() ;
	ImageIcon ic = new ImageIcon(c.getResource("images/icon02.gif")) ;
	JButton cb = new JButton(ic) ;
	cb.setToolTipText("t@CI") ;
	cb.setBounds(515, 5, 20, 30) ;
	cb.addActionListener(new mkFileNameAction(FileDialog.LOAD,
						  _app, _sname, ".xsl")) ;
	panel.add(cb) ;

	// --------

	lb = new JLabel("t@Cړ") ;
	lb.setBounds(5, 40, 120,30) ;
	panel.add(lb) ;

	_fpname = new JTextField() ;
	_fpname.setBounds(135,40, 375,30) ;	
	pref = _app.getPreferences() ;
	panel.add(_fpname) ;

	// ----------

	lb = new JLabel("ۑt@C") ;
	lb.setBounds(5, 75, 120,30) ;
	panel.add(lb) ;

	_fname = new JTextField() ;
	_fname.setBounds(135,75, 375,30) ;	
	pref = _app.getPreferences() ;
	panel.add(_fname) ;

	cb = new JButton(ic) ;
	cb.setToolTipText("t@CI") ;
	cb.setBounds(515, 75, 20, 30) ;
	cb.addActionListener(new mkFileNameAction(FileDialog.SAVE,
						  _app, _fname, null)) ;
	panel.add(cb) ;

	//------------

	lb = new JLabel("o̓fBNg") ;
	lb.setBounds(5, 105, 120,30) ;
	panel.add(lb) ;

	_dname = new JTextField() ;
	_dname.setBounds(135,105, 375,30) ;	
	panel.add(_dname) ;

	cb = new JButton(ic) ;
	cb.setToolTipText("fBNgI") ;
	cb.setBounds(515, 105, 20, 30) ;
	cb.addActionListener(new mkDirNameAction(_app, _dname)) ;
	panel.add(cb) ;



	// ----------

	lb = new JLabel("z[URL") ;
	lb.setBounds(5, 145, 120,30) ;
	panel.add(lb) ;

	_hurl = new JTextField() ;
	_hurl.setBounds(135,145, 375,30) ;	
	panel.add(_hurl) ;

	// ----------

	lb = new JLabel("z[") ;
	lb.setBounds(5, 185, 120,30) ;
	panel.add(lb) ;

	_htitle = new JTextField() ;
	_htitle.setBounds(135,185, 375,30) ;	
	panel.add(_htitle) ;

	// ----------

	lb = new JLabel("CXg[URL") ;
	lb.setBounds(5, 225, 120,30) ;
	panel.add(lb) ;

	_iurl = new JTextField() ;
	_iurl.setBounds(135,225, 375,30) ;	
	panel.add(_iurl) ;

	// ----------


	lb = new JLabel("RSS") ;
	lb.setBounds(5, 270, 120,30) ;
	panel.add(lb) ;

	_rname = new JTextField() ;
	_rname.setBounds(135,270, 375,30) ;	
	panel.add(_rname) ;

	// -----------


	lb = new JLabel("CfbNX") ;
	lb.setBounds(5, 305, 120,30) ;
	panel.add(lb) ;

	_idx = new JTextField() ;
	_idx.setBounds(135,305, 375,30) ;	
	panel.add(_idx) ;

	// -----------


	lb = 
	    new JLabel("<html>CfbNXp<br>X^CV[g</html>") ;
	lb.setBounds(5, 340, 120,30) ;
	panel.add(lb) ;

	_isname = new JTextField() ;
	_isname.setBounds(135,340, 375,30) ;	
	panel.add(_isname) ;

	cb = new JButton(ic) ;
	cb.setToolTipText("t@CI") ;
	cb.setBounds(515, 340, 20, 30) ;
	cb.addActionListener(new mkFileNameAction(FileDialog.LOAD,
						  _app, _isname, ".xsl")) ;
	panel.add(cb) ;


	// -----------



	JButton btn = null ;
	btn = new JButton("o^") ;
	btn.setBounds(100, 380, 75, 35) ;
	btn.addActionListener(this) ;
	panel.add(btn) ;

	btn = new JButton("") ;
	btn.setBounds(350, 380, 75, 35) ;	
	btn.addActionListener(new mkCancelAction(_app)) ;
	panel.add(btn) ;

	getContentPane().add(panel) ;
    }

    public void show()
    {
	Preferences pref = _app.getPreferences() ;

	_sname.setText(pref.get(mkApplet.STYLESHEET_NAME,
			       mkApplet.DEF_STYLESHEET_NAME)) ;
	
	_dname.setText(pref.get(mkApplet.DIR_NAME,
			       mkApplet.DEF_DIR_NAME)) ;

	_fname.setText(pref.get(mkApplet.FILE_NAME,
			       mkApplet.DEF_FILE_NAME)) ;

	_fpname.setText(pref.get(mkApplet.FILEPREFIX_NAME,
				 mkApplet.DEF_FILEPREFIX_NAME)) ;

	_hurl.setText(pref.get(mkApplet.HOME_URL,
			       mkApplet.DEF_HOME_URL)) ;

	_htitle.setText(pref.get(mkApplet.HOME_TITLE,
				 mkApplet.DEF_HOME_TITLE)) ;



	_iurl.setText(pref.get(mkApplet.INSTALL_URL,
			       mkApplet.DEF_INSTALL_URL)) ;

	_idx.setText(pref.get(mkApplet.INDEX_NAME,
			       mkApplet.DEF_INDEX_NAME)) ;

	_rname.setText(pref.get(mkApplet.RSS_NAME,
				mkApplet.DEF_RSS_NAME)) ;

	_isname.setText(pref.get(mkApplet.INDEX_STYLESHEET_NAME,
			       mkApplet.DEF_INDEX_STYLESHEET_NAME)) ;


	super.show() ;
    }
    

    public void actionPerformed(ActionEvent e)
    {
	Preferences pref = _app.getPreferences() ;

	pref.put(mkApplet.STYLESHEET_NAME, _sname.getText()) ;
	pref.put(mkApplet.FILEPREFIX_NAME, _fpname.getText()) ;
	pref.put(mkApplet.FILE_NAME, _fname.getText()) ;
	pref.put(mkApplet.DIR_NAME, _dname.getText()) ;
	pref.put(mkApplet.HOME_URL, _hurl.getText()) ;
	pref.put(mkApplet.HOME_TITLE, _htitle.getText()) ;
	pref.put(mkApplet.INSTALL_URL, _iurl.getText()) ;
	pref.put(mkApplet.RSS_NAME, _rname.getText()) ;
	pref.put(mkApplet.INDEX_NAME, _idx.getText()) ;
	pref.put(mkApplet.INDEX_STYLESHEET_NAME, _isname.getText()) ;

	hide() ;
    }
}


