/*
  copyright(c) 2003 - 2004 Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.awt.datatransfer.*;
import java.awt.dnd.* ;

public class mkDropTargetAction extends DropTargetAdapter
{
    mkApplet _app ;

    public mkDropTargetAction(mkApplet app)
    {
	super() ;

	_app = app ;
    }

    public void drop(DropTargetDropEvent dtde)
    {
      try {
          Transferable tr = dtde.getTransferable() ;

	  dtde.acceptDrop(DnDConstants.ACTION_COPY_OR_MOVE) ;

	  // 󂯎f[^ mkLabel ɕϊ
	  mkLabel lb = (mkLabel) (tr.getTransferData(DataFlavor.javaFileListFlavor));

	  mkLeftWidget lw = _app.getLeftWidget() ;

	  lw.addRelation(lb.getCard()) ;

      } catch (Exception ex) {
	  mkApplet.showErrDialog(ex) ;
      }
    }
}
