/*
  copyright(c) 2003 - 2004 Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.util.prefs.Preferences ;
import java.io.* ;

public class mkFileLoadAction implements ActionListener
{
    mkApplet  _app ;

    public mkFileLoadAction(mkApplet arg)
    {
	_app = arg ;
    }

    public void actionPerformed(ActionEvent e)
    {
	mkLeftWidget lw = _app.getLeftWidget() ;
	mkRightWidget rw = _app.getRightWidget() ;


	FileDialog fd = new FileDialog(_app.getFrame(), 
				       "t@CJ") ;
	
	fd.setMode(FileDialog.LOAD) ;
	
	Preferences pref = _app.getPreferences() ;
	
	String fname = pref.get(mkApplet.FILE_NAME,
				mkApplet.DEF_FILE_NAME) ;

	fname = pref.get(mkApplet.LAST_FILE_NAME, fname) ;

	File fp = new File(fname) ;

	fd.setDirectory(fp.getPath()) ;
	fd.setFile(fp.getName()) ;

	fd.show() ;
	
	String dir = fd.getDirectory() ;
	
	fname = fd.getFile() ;
	
	if(dir != null && fname != null){
	    try {
		rw.loadFile(dir+fname) ;
		pref.put(mkApplet.LAST_FILE_NAME,dir+fname) ;
	    } catch(Exception ex){
		mkApplet.showErrDialog(ex) ;
	    }
	}
    }
}

