/*
  copyright(c) 2003 - 2004  Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.util.* ;
import java.text.* ;
import java.awt.dnd.* ;

public class mkLeftWidget implements Serializable
{
    private boolean update_flag = false ;

    private mkCard _cuCard ;

    public void setUpdateFlag(boolean arg)
    {
	update_flag = arg ;
    }

    public boolean updatep()
    {
	return update_flag ;
    }


    public mkLeftWidget()
    {
	super() ;

    }

    private JPanel _panel ;

    public JPanel getPanel()
    {
	return _panel ;
    }

    transient private mkApplet _app ;

    private  JTextField _title ; 
    private  JTextField _name ; 
    private  JTextField _image ; 
    private  JTextField _affiliate ; 
    private  JTextField _date ; 
    private  JTextArea _body ;
    private  Vector   _list = new Vector() ;
    private  JLabel   _lb[] ;
    private  JButton  _cb[] ;


    public String getTitle()
    {
	return _title.getText() ;
    }

    public void setTitle(String arg)
    {
	 _title.setText(arg) ;
    }


    public String getName()
    {
	return _name.getText() ;
    }


    public void setName(String arg)
    {
	 _name.setText(arg) ;
    }


    public String getImage()
    {
	return _image.getText() ;
    }


    public void setImage(String arg)
    {
	 _image.setText(arg) ;
    }

    public String getAffiliate()
    {
	return _affiliate.getText() ;
    }


    public void setAffiliate(String arg)
    {
	 _affiliate.setText(arg) ;
    }

    public String getDate()
    {
	return _date.getText() ;
    }

    public void setDate(String arg)
    {
	 _date.setText(arg) ;
    }

    public String getBody()
    {
	return _body.getText() ;
    }

    public void setBody(String arg)
    {
	 _body.setText(arg) ;
    }

    public JPanel create(mkApplet arg)
    {
	_app = arg ;

	mkPopupAction popup ;

	JLabel lb = null ;
	_panel = new JPanel(null) ;
	_panel.setBounds(0, 10, 600, 650) ;

	lb = new JLabel("^Cg") ;
	lb.setBounds(5, 5, 100,30) ;
	_panel.add(lb) ;

	_title = new JTextField() ;
	_title.setBounds(115,5, 475,30) ;	
	_panel.add(_title) ;
	popup = new mkPopupAction(_title) ;

	lb = new JLabel("O") ;
	lb.setBounds(5, 45, 100,30) ;
	_panel.add(lb) ;

	_name = new JTextField() ;
	_name.setBounds(115,45, 475,30) ;	
	_panel.add(_name) ;
	popup = new mkPopupAction(_name) ;


	lb = new JLabel("C[W") ;
	lb.setBounds(5, 85, 100,30) ;
	_panel.add(lb) ;

	_image = new JTextField() ;
	_image.setBounds(115,85, 475,30) ;	
	_panel.add(_image) ;
	popup = new mkPopupAction(_image) ;


	lb = new JLabel("AffiliateURL") ;
	lb.setBounds(5, 125, 100,30) ;
	_panel.add(lb) ;

	_affiliate = new JTextField() ;
	_affiliate.setBounds(115,125, 475,30) ;	
	_panel.add(_affiliate) ;
	popup = new mkPopupAction(_affiliate) ;

	lb = new JLabel("XV") ;
	lb.setBounds(5, 165, 100,30) ;
	_panel.add(lb) ;

	_date = new JTextField() ;
	_date.setBounds(115,165, 475,30) ;	
	_panel.add(_date) ;
	popup = new mkPopupAction(_date) ;

	_body = new JTextArea() ;
	_body.setLineWrap(true) ; 
	_body.setWrapStyleWord(true) ;

	popup = new mkPopupAction(_body) ;

	JScrollPane spane = new JScrollPane(_body) ;
	spane.setBounds(5,205, 590,270) ;	
        spane.setVerticalScrollBarPolicy(
			  JScrollPane.VERTICAL_SCROLLBAR_ALWAYS) ;
        spane.setPreferredSize(new Dimension(590, 270));
        spane.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                                BorderFactory.createTitledBorder("{"),
                                BorderFactory.createEmptyBorder(5,5,5,5)),
                spane.getBorder()));	
	_panel.add(spane) ;

	JPanel rel = new JPanel(null) ;
	rel.setBounds(5, 480, 590, 120) ;

	int cc = 0 ;

	_lb = new JLabel[8] ;
	_cb = new JButton[8] ;

	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(35, 15, 250, 20) ;
	rel.add(_lb[cc]) ;
	
	Class c = _app.getClass() ;
	ImageIcon ic = new ImageIcon(c.getResource("images/icon01.gif")) ;
	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].setBounds(10, 15, 20, 20) ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	rel.add(_cb[cc++]) ;
	
	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(320, 15, 250, 20) ;
	rel.add(_lb[cc]) ;

	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	_cb[cc].setBounds(295, 15, 20, 20) ;
	rel.add(_cb[cc++]) ;

	// ----------------------------

	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(35, 40, 250, 20) ;
	rel.add(_lb[cc]) ;

	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	_cb[cc].setBounds(10, 40, 20, 20) ;
	rel.add(_cb[cc++]) ;

	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(320, 40, 250, 20) ;
	rel.add(_lb[cc]) ;

	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	_cb[cc].setBounds(295, 40, 20, 20) ;
	rel.add(_cb[cc++]) ;

	// --------------------------

	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(35, 65, 250, 20) ;
	rel.add(_lb[cc]) ;

	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	_cb[cc].setBounds(10, 65, 20, 20) ;
	rel.add(_cb[cc++]) ;


	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(320, 65, 250, 20) ;
	rel.add(_lb[cc]) ;

	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	_cb[cc].setBounds(295, 65, 20, 20) ;
	rel.add(_cb[cc++]) ;

	// -------------------------

	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(35, 90, 250, 20) ;
	rel.add(_lb[cc]) ;

	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	_cb[cc].setBounds(10, 90, 20, 20) ;
	rel.add(_cb[cc++]) ;

	_lb[cc] = new JLabel() ;
	_lb[cc].setBounds(320, 90, 250, 20) ;
	rel.add(_lb[cc]) ;

	_cb[cc] = new JButton(ic) ;
	_cb[cc].setToolTipText("֘A") ;
	_cb[cc].addActionListener(new mkEraseAction(_app, cc)) ;
	_cb[cc].setBounds(295, 90, 20, 20) ;
	rel.add(_cb[cc++]) ;

        rel.setPreferredSize(new Dimension(590, 120));

	rel.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                        BorderFactory.createTitledBorder("֘AL[[h"),
                        BorderFactory.createEmptyBorder(5,5,5,5)),
                rel.getBorder()));	

	_panel.add(rel) ;

	JButton btn = null ;
	btn = new JButton("o^") ;
	btn.setBounds(100, 605, 75, 35) ;
	btn.addActionListener(new mkGoAction(_app)) ;
	_panel.add(btn) ;

	btn = new JButton("ύXo^") ;
	btn.setBounds(200, 605, 130, 35) ;
	btn.addActionListener(new mkDelAction(_app)) ;
	_panel.add(btn) ;


	btn = new JButton("") ;
	btn.setBounds(350, 605, 75, 35) ;	
	_panel.add(btn) ;

	DropTargetListener dtl = new  mkDropTargetAction(_app) ;

	DropTarget dt = new DropTarget(_panel, dtl) ;

	//	DropTarget dt = _panel.setDropTarget(dt) ;

	dt = _panel.getDropTarget() ;

	clear()	;

	return getPanel() ;
    }

    public mkCard createNewCard()
    {
	if(getTitle() == null){
	    return null ;
	}

	mkCard newCard  = new mkCard(getTitle(),getName(), getImage(),
				     getAffiliate(), getDate(), getBody()) ;
	    
	newCard.setRelation(_list) ;

	if(_cuCard == null){
	    _cuCard = newCard ;
	} else if(! _cuCard.getTitle().equals(getTitle())){
	    _cuCard = newCard ;
	} else {
	    _cuCard.set(newCard) ;
	    newCard = null ;
	}
	return newCard ;
    }


    public mkCard getCurrentCard()
    {
	return _cuCard ;
    }


    public mkCard delCard()
    {
	_cuCard.delete() ;

	return _cuCard ;
    }

    public void setCard(mkCard arg)
    {
	_cuCard = arg ;

	setTitle(arg.getTitle()) ;

	setName(arg.getName()) ;

	setImage(arg.getImage()) ;

	setAffiliate(arg.getAffiliate()) ;

	setDate(arg.getDate()) ;

	setBody(arg.getBody()) ;

	setRelations(arg.getRelation()) ;

    }

    public void setSearchResult(mkSearchResult arg)
    {
	setCard(arg.getCard()) ;

	int where = arg.getWhere() ;

	if(where == mkSearchResult.TITLE){
	    _title.setSelectionStart(arg.getIndex()) ;
	    _title.setSelectionEnd(arg.getIndex()+arg.getKey().length()) ;
	    _title.requestFocus() ;
	} else if(where == mkSearchResult.NAME){
	    _name.setSelectionStart(arg.getIndex()) ;
	    _name.setSelectionEnd(arg.getIndex()+arg.getKey().length()) ;
	    _name.requestFocus() ;
	} else if(where == mkSearchResult.DATE){
	    _date.setSelectionStart(arg.getIndex()) ;
	    _date.setSelectionEnd(arg.getIndex()+arg.getKey().length()) ;
	    _date.requestFocus() ;
	} else if(where == mkSearchResult.BODY){
	    _body.setSelectionStart(arg.getIndex()) ;
	    _body.setSelectionEnd(arg.getIndex()+arg.getKey().length()) ;
	    _body.requestFocus() ;	    
	}
    }




    public void removeRelationAt(int arg)
    {
	_list.removeElementAt(arg) ;

	rehashRelations() ;
    }


    public void removeRelation(mkCard arg)
    {
	_list.removeElement(arg) ;

	rehashRelations() ;
    }

    public void addRelation(mkCard arg)
    {
	int size = _list.size() ;

	_list.addElement(arg) ;

	rehashRelations() ;
    }
	
    public void setRelations(Vector arg)
    {
	_list = (Vector )arg.clone() ;

	rehashRelations() ;
    }
	
    public void rehashRelations()
    {
	for(int i = 0; i < _lb.length; i++){
	    _lb[i].setText("") ;
	}

	Enumeration en = _list.elements() ;

	int cc = 0 ;
	while(en.hasMoreElements()){
	    mkCard card = (mkCard )en.nextElement() ;
	    _lb[cc++].setText(card.getTitle()) ;
	}
    }
	

    public void clear()
    {
	setUpdateFlag(false) ;

	setTitle("") ;

	setName("") ;

	setImage("default") ;

	setAffiliate("") ;

	Calendar cal = Calendar.getInstance();
 
	Date day = new Date() ;

	SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd") ;

	StringBuffer sb = 
	    sdf.format(new Date(),
		       new StringBuffer(),
		       new FieldPosition(NumberFormat.INTEGER_FIELD)) ;

	setDate(sb.toString()) ;

	setBody("") ;

	_cuCard = null ;
	_list = new Vector() ;

	rehashRelations() ;
    }	
}

