/*
  copyright(c) 2003 - 2004  Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.util.* ;
import java.awt.dnd.* ;
import javax.swing.event.* ;
import java.util.prefs.Preferences ;

public class mkSearchDialog extends JDialog implements Serializable ,
						       ActionListener ,
						       ListSelectionListener
{
    mkApplet _app ;

    private JTextField _tx ;
    private JList _list ;

    public mkSearchDialog(mkApplet app, Frame frame, String title)
    {
	super(frame, title) ;

	_app = app ;

	getContentPane().setLayout(null) ;
        setSize(new Dimension(500, 480)) ;


	JLabel lb = null ;
	getContentPane().setBounds(0, 10, 500, 480) ;

	lb = new JLabel("") ;
	lb.setBounds(5, 5, 120,30) ;
	getContentPane().add(lb) ;

	_tx = new JTextField() ;
	_tx.setBounds(135,5, 200,30) ;	
	_tx.addActionListener(this) ;
	getContentPane().add(_tx) ;

	JButton cb = new JButton("GO") ;
	cb.setToolTipText("w̕܂") ;
	cb.setBounds(380, 5, 100, 30) ;
	cb.addActionListener(this) ;
	getContentPane().add(cb) ;

	_list = new JList() ;
	_list.addListSelectionListener(this) ;
	_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION) ;
	
	JScrollPane spane = new JScrollPane(_list) ;

	spane.setBounds(5,75, 480,330) ;	
        spane.setVerticalScrollBarPolicy(
			  JScrollPane.VERTICAL_SCROLLBAR_ALWAYS) ;
        spane.setPreferredSize(new Dimension(300, 270));
        spane.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                                BorderFactory.createTitledBorder(""),
                                BorderFactory.createEmptyBorder(5,5,5,5)),
                spane.getBorder()));	

	JButton	btn = new JButton("OK") ;
	btn.setBounds(240, 415, 75, 35) ;

	btn.addActionListener(new ActionListener(){
		public void actionPerformed(ActionEvent e)
		{
		    hide() ;
		}
	    });

	getContentPane().add(spane) ;
	getContentPane().add(btn) ;

    }

    public void actionPerformed(ActionEvent e)
    {
	mkLeftWidget lw = _app.getLeftWidget() ;
	mkRightWidget rw = _app.getRightWidget() ;
	
	Vector vec = rw.searchStringFromList(_tx.getText()) ;

	_list.setListData(vec) ;
    }

    public void valueChanged(ListSelectionEvent e)
    {
	JList list = (JList )e.getSource() ;
	
	mkSearchResult sr = (mkSearchResult )list.getSelectedValue() ;
	
	if(sr == null) return  ;
	
	_app.getLeftWidget().setSearchResult(sr) ;
    }
}


