/*
  copyright(c) 2003 - 2004  Miki Akiyoshi
  
  This file is part of Miki Review.
  
  Miki Review is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Review is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Review; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.review ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.util.* ;
import java.awt.dnd.* ;
import java.awt.datatransfer.* ;

public class mkSearchResult
{
    public static final int TITLE = 1 ;
    public static final int NAME  = 2 ;
    public static final int DATE  = 3 ;
    public static final int BODY  = 4 ;

    private mkCard _card ;

    private int _where ;

    private int _index ;

    private String _key ;

    public mkSearchResult(mkCard card, String key, int where, int index)
    {
	_card = card ;

	_where = where ;

	_index = index ;

	_key = key ;

    }

    public mkCard getCard()
    {
	return _card ;
    }

    public int getWhere()
    {
	return _where ;
    }
    
    public int getIndex()
    {
	return _index ;
    }

    public String getKey()
    {
	return _key ;
    }


    public String toString()
    {
	return _card.getTitle() ;
    }

}
